#ifndef _Onoisedeformer_H_
#define _Onoisedeformer_H_

enum
{
	NOISEDEFORMER_ID				= 1004880,

	NOISEDEFORMER_STRENGTH			= 1000,
	NOISEDEFORMER_STRENGTH_MIN		= 1004,
	NOISEDEFORMER_STRENGTH_MAX		= 1005,

	NOISEDEFORMER_STRENGTH_SPLINE	= 1002,
	NOISEDEFORMER_RADIUS			= 1001,
	NOISEDEFORMER_RADIUS_INNER		= 1003,
	NOISEDEFORMER_USE_FALLOFF		= 1006,

	NOISEDEFORMER_MODE				= 2000,
	NOISEDEFORMER_MODE_NORMAL		= 2001,
	NOISEDEFORMER_MODE_SPHERICAL	= 2002,
	NOISEDEFORMER_MODE_PARALLEL_Z		= 2003,
	NOISEDEFORMER_MODE_PARALLEL_Y		= 2004,
	NOISEDEFORMER_MODE_PARALLEL_X		= 2005,		
	NOISEDEFORMER_MODE_CYLINDRICAL_X_Y,
	NOISEDEFORMER_MODE_CYLINDRICAL_X_Z,
	NOISEDEFORMER_MODE_CYLINDRICAL_Y_Z,

	NOISEDEFORMER_NOISE_PREVIEW			= 3002,
	NOISEDEFORMER_NOISE_SCALE_OLD			= 3003,
	NOISEDEFORMER_NOISE_ANIMATE			= 3004,
	NOISEDEFORMER_NOISE_SPEED			= 3005,
	NOISEDEFORMER_NOISE_WINDANIM		= 3006,
	NOISEDEFORMER_NOISE_WIND			= 3007,
	NOISEDEFORMER_NOISE_OFF_T			= 3008,
	NOISEDEFORMER_NOISE_OFF_XYZ			= 3009,
	NOISEDEFORMER_NOISE_WINDCOORD = 3010,
  NOISEDEFORMER_NOISE_SCALE = 3011,
	NOISEDEFORMER_WIND_DEF = 1,
	NOISEDEFORMER_WIND_WORLD = 0,
	NOISEDEFORMER_WIND_OBJ = 2,
	NOISEDEFORMER_CACHED_TIME		= 5000,

	NOISEDEFORMER_NOISEGROUP		= 3000,

	MWNOISE_NOISE = 3001,
  MWNOISE_NOISE_RIDGED_MULTIFRACTAL = 4001,
	MWNOISE_OCTAVES = 6007,
	MWNOISE_FBM_LACUNARITY = 6008,
	MWNOISE_FBM_H = 6009,
	MWNOISE_ABS = 6010,
	MWNOISE_RMF_OFFSET = 6011,
	MWNOISE_RMF_GAIN = 6012,
  MWNOISE_SEED = 6013
};

#endif