#ifndef _Tuvdeformer_H_
#define _Tuvdeformer_H_

enum
{
  Tuvdeformer = 1000,

  GRP_MAPPER = 2000,
   MAPINPUT_USE_CHILDS = 2100,
   MAPINPUT_USE_SECCHILD = 2200,
   MAPOP = 2300,
   MAPUVOP = 2400,
   RESTRICTION = 2500,
   DISPL_OBJECT_UVW = 2600,
   DISPL_UVW_COLOR = 2700,
   DISPL_OBJECT = 2800,

  GRP_UVTRAFO = 3000,
    MAPSCALEX = 3100,
    MAPSCALEY = 3200,
    MAPOFFSETX = 3300,
    MAPOFFSETY = 3400,
    FIT_UV = 3500,
      FIT_UV_NOT = 1,
      FIT_UV_KEEP_ASPECT = 2,
      FIT_UV_STRETCHED = 3,
    CYCLIC_UV = 3600,
    CYCLIC_SEAMLESS = 3700,
    MIRROR = 3800,
    MIRROR_U = 3900,
    MIRROR_V = 3110,
    LOCKSCALE = 3120,
    AREARATIO = 3130,

  GRP_ZDIR = 4000,
    ZDIR = 4001,
      ZDIR_NORMAL = 1,
      ZDIR_RADIAL = 2,
      ZDIR_RADIAL_NORM = 3,
      ZDIR_USER = 4,    
    USER_ZDIR = 4002, 
    BLOCAL_ZSCALE = 4003,
    BINVERT_ZSCALE = 4004,
    ZSCALE = 4005,

  GRP_MAP_MODE = 5000,
    TRANSFORM = 5001,
      TRAFO_OBJECT = 1,
      TRAFO_POINTS = 2,
    BCHILDSTOO = 5002,

  BTN_FROM_UVDEFORMER = 6000,

  MAP_RESTRICTION_LINK = 9000,
  MAP_UV_LINK = 9001,
  MAP_OP_LINK = 9002,

  DUMMY
};

#endif



