#ifndef _Cellularshader_H_
#define _Cellularshader_H_

enum
{
	CELLULARSHADER_GROUP_CELLSHAPE = 0001,
	CELLULARSHADER_GROUP_TIMESPACE = 0002,
	CELLULARSHADER_GROUP_FRACTAL   = 0003,

	CELLULARSHADER_DIST		 		= 1000,
	CELLULARSHADER_DIST_EUKLID		= 1001,
	CELLULARSHADER_DIST_MAX	 		= 1002,
	CELLULARSHADER_DIST_SUM	 		= 1003,
	CELLULARSHADER_DIST_MINKOVSKY 	= 1004,
	CELLULARSHADER_SPACE			= 2000,
	CELLULARSHADER_SPACE_TEXTURE	= 2001,
	CELLULARSHADER_SPACE_OBJECT		= 2002,
	CELLULARSHADER_SPACE_WORLD		= 2003,
	CELLULARSHADER_SPACE_UVW		= 2004,
	CELLULARSHADER_SCALE			= 3000,
	CELLULARSHADER_GLOBAL_SCALE		= 3001,

	CELLULARSHADER_ANIM				= 3100,
	CELLULARSHADER_ANIM_SPEED		= 3200,
	CELLULARSHADER_ANIM_OFFSET		= 3300,

	CELLULARSHADER_WIND				= 3400,	

	CELLULARSHADER_GROUP_PERIOD		= 2333,
	CELLULARSHADER_PERIOD_X			= 2300,
	CELLULARSHADER_PERIOD_Y			= 2400,
	CELLULARSHADER_PERIOD_Z			= 2500,
	CELLULARSHADER_PERIOD_T			= 2600,
	CELLULARSHADER_PERIOD			= 2700,
	CELLULARSHADER_TRUE_PER			= 2701,
	CELLULARSHADER_TRUE_PER_X		= 2301,
	CELLULARSHADER_TRUE_PER_Y		= 2401,
	CELLULARSHADER_TRUE_PER_Z		= 2501,
	CELLULARSHADER_TRUE_PER_T		= 2601,

	CELLULARSHADER_GROUP_FRACT		= 1222,
	CELLULARSHADER_BFRACT			= 1200,
	CELLULARSHADER_LACUNARITY		= 1300,
	CELLULARSHADER_H				= 1400,
	CELLULARSHADER_OCT				= 1500,

	CELLULARSHADER_LOW_CLIP			= 1600,
	CELLULARSHADER_HIGH_CLIP		= 1700,
	CELLULARSHADER_BRIGHTNESS		= 1800,

	CELLULARSHADER_LICO					= 5000,
	CELLULARSHADER_LICO_F1				= 5001,
	CELLULARSHADER_LICO_F2				= 5002,
	CELLULARSHADER_LICO_F3				= 5003,
	CELLULARSHADER_CUSTOMCOMBINATIONS   = 5100,

	CELLULARSHADER_LICO_TYPE			= 1900,
	CELLULARSHADER_LICO_TYPE1			= 1901,
	CELLULARSHADER_LICO_TYPE2			= 1902,
	CELLULARSHADER_LICO_TYPE3			= 1903,
	CELLULARSHADER_LICO_TYPE4			= 1904,
	CELLULARSHADER_LICO_TYPE5			= 1905,
	CELLULARSHADER_LICO_TYPE6			= 1906,
	CELLULARSHADER_LICO_TYPE7			= 1907,
	CELLULARSHADER_LICO_TYPE8			= 1908,
	CELLULARSHADER_LICO_TYPE9			= 1909,
	CELLULARSHADER_LICO_TYPE10			= 1910,
	CELLULARSHADER_LICO_TYPEC			= 1999,

	CELLULARSHADER_DIST_MINKOVSKY_EXP	= 9000,

	CELLULARSHADER_COLORA				= 6001,
	CELLULARSHADER_COLORB				= 6002,

	CELLULARSHADER_BUMPDELTA			= 4000,

	CELLULARSHADER_BORDER_BEVEL			= 7000,
	CELLULARSHADER_BORDER_COLOR			= 8000,
	CELLULARSHADER_BORDER_SIZE			= 1100
};

#endif
